<?php require $_SERVER['DOCUMENT_ROOT'].'/hethong/config.php';
$username = strip_tags($_POST['username']);
$ten_mien = strip_tags($_POST['ten_mien']);
$duoi_mien = strip_tags($_POST['duoi_mien']);
$nameserver = strip_tags($_POST['nameserver']);
$now = time();

$mien = $ketnoi->query("SELECT * FROM `ds_domain` WHERE `duoi_mien` = '$duoi_mien' ")->fetch_array();
$user = $ketnoi->query("SELECT * FROM `users` WHERE `username` = '$username' ")->fetch_array();

if($username==""){
$response = array('success' => false, 'message' => 'Đăng nhập để thực hiện tính năng này');
}elseif (!$user['username']) {
    $response = array('success' => false, 'message' => 'Vui lòng đăng nhập');
} elseif ($_POST['ten_mien'] == "" || $_POST['duoi_mien'] == '' || $_POST['nameserver'] == '') {
    $response = array('success' => false, 'message' => 'Vui lòng nhập đầy đủ thông tin');
} elseif ($user['money'] < $mien['gia']) {
    $response = array('success' => false, 'message' => 'Số dư trong tài khoản của bạn không đủ ' . tien($mien['gia']) . 'đ');
} else {
        $domain = $ten_mien . $duoi_mien;
        $url = 'https://whois.net.vn/whois.php?domain='.$domain;
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $data = curl_exec($ch);
        curl_close($ch);
        $st_mien =  json_decode($data, true);
        if($st_mien!=1){
            $date = date('h:i d-m-Y', $now);
            $days_to_add = 365;
            $het = $now;
            $het += $days_to_add * 24 * 60 * 60;
             $api = $ketnoi->query("INSERT INTO `history_domain` SET 
             `username` = '$username',
                            `domain` = '$domain',
                            `duoi_mien` = '$duoi_mien',
                            `nameserver` = '$nameserver',
                            `ngay_mua` = '$now',
                            `ngay_het` = '$het',
              `status` = 'xuly' ");
             sendTele($username." Đã Đăng Kí Miền ".$ten_mien."".$duoi_mien." Thành Công Trạng Thái Đang Xử Lý.");
           
                    if ($api) {
                        $newmoney = $user['money'] - $mien['gia'];
                        $check_money = $ketnoi->query("UPDATE `users` SET `money` = '$newmoney' WHERE `username` = '" . $username . "'");
                        $response = array('success' => true);
                         
                    }
        }else{
            $response = array('success' => false, 'message' => 'Tên miền đã được đăng kí');
        }
       
    }
echo json_encode($response);
?>